from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XMeaning(XInterface, Protocol):
    def getMeaning(self) -> str: ...
    def querySynonyms(self) -> list[str]: ...
